> ## Documentation Index
> Fetch the complete documentation index at: https://docs.embedreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Resource

> Updates a resource by its external ID. This is an incremental update, only provided fields will be updated. Fields not included in the request are left unchanged. Null values will explicitly delete the field (required fields cannot be deleted and will return a validation error).



## OpenAPI

````yaml PATCH /api/resources/{schemaDefinitionNameOrId}/{externalId}
openapi: 3.0.0
info:
  title: Reach API
  version: 1.0.0
  description: API documentation for Reach platform
servers:
  - url: https://api.embedreach.com
    description: Production server
security: []
paths:
  /api/resources/{schemaDefinitionNameOrId}/{externalId}:
    patch:
      tags:
        - Partner Resources
      summary: Patch Resource
      description: >-
        Updates a resource by its external ID. This is an incremental update,
        only provided fields will be updated. Fields not included in the request
        are left unchanged. Null values will explicitly delete the field
        (required fields cannot be deleted and will return a validation error).
      parameters:
        - name: reach-tenant-id
          in: header
          required: false
          schema:
            type: string
            description: >-
              If using a platform scoped JWT, you can pass in a header to
              impersonate a specific tenant to impersonate the request as.
        - schema:
            type: string
            description: >-
              The name or id of the schema definition for the resource being
              updated
          required: true
          description: >-
            The name or id of the schema definition for the resource being
            updated
          name: schemaDefinitionNameOrId
          in: path
        - schema:
            type: string
            description: The external ID of the resource to update
          required: true
          description: The external ID of the resource to update
          name: externalId
          in: path
        - schema:
            type: boolean
            nullable: true
            default: false
            description: >-
              Whether to allow extra fields that are not defined in the schema.
              If true, extra fields will be accepted but not saved. If false,
              requests with extra fields will be rejected.
          required: false
          description: >-
            Whether to allow extra fields that are not defined in the schema. If
            true, extra fields will be accepted but not saved. If false,
            requests with extra fields will be rejected.
          name: ignoreUnknownFields
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  additionalProperties:
                    nullable: true
              required:
                - data
      responses:
        '200':
          description: Status 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      result:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            description: Unique identifier for the resource
                          schema_definition_id:
                            type: string
                            format: uuid
                            description: >-
                              [Deprecated] Please use schemaDefinitionId
                              instead. ID of the schema definition for this
                              resource
                          schemaDefinitionId:
                            type: string
                            format: uuid
                            description: ID of the schema definition for this resource
                          platform_id:
                            type: string
                            format: uuid
                            description: >-
                              [Deprecated] Please use platformId instead. ID of
                              the platform this resource belongs to
                          platformId:
                            type: string
                            format: uuid
                            description: ID of the platform this resource belongs to
                          business_id:
                            type: string
                            format: uuid
                            description: >-
                              [Deprecated] Please use businessId instead. ID of
                              the business this resource belongs to
                          businessId:
                            type: string
                            format: uuid
                            description: ID of the business this resource belongs to
                          resource_external_id:
                            type: string
                            description: External ID of the resource
                          resourceExternalId:
                            type: string
                            description: >-
                              [Deprecated] Please use resourceExternalId
                              instead. External ID of the resource
                          created_at:
                            type: string
                            description: '[Deprecated] Please use createdAt instead'
                          createdAt:
                            type: string
                            description: Creation timestamp
                          updated_at:
                            type: string
                            description: '[Deprecated] Please use updatedAt instead'
                          updatedAt:
                            type: string
                            description: Last update timestamp
                          data:
                            type: object
                            additionalProperties:
                              nullable: true
                            description: >-
                              The resource data matching the schema definition
                              structure
                        required:
                          - id
                          - schema_definition_id
                          - schemaDefinitionId
                          - platform_id
                          - platformId
                          - business_id
                          - businessId
                          - resource_external_id
                          - resourceExternalId
                          - created_at
                          - createdAt
                          - updated_at
                          - updatedAt
                          - data
                      included:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                              description: Unique identifier for the resource
                            schema_definition_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use schemaDefinitionId
                                instead. ID of the schema definition for this
                                resource
                            schemaDefinitionId:
                              type: string
                              format: uuid
                              description: ID of the schema definition for this resource
                            platform_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use platformId instead. ID
                                of the platform this resource belongs to
                            platformId:
                              type: string
                              format: uuid
                              description: ID of the platform this resource belongs to
                            business_id:
                              type: string
                              format: uuid
                              description: >-
                                [Deprecated] Please use businessId instead. ID
                                of the business this resource belongs to
                            businessId:
                              type: string
                              format: uuid
                              description: ID of the business this resource belongs to
                            resource_external_id:
                              type: string
                              description: External ID of the resource
                            resourceExternalId:
                              type: string
                              description: >-
                                [Deprecated] Please use resourceExternalId
                                instead. External ID of the resource
                            created_at:
                              type: string
                              description: '[Deprecated] Please use createdAt instead'
                            createdAt:
                              type: string
                              description: Creation timestamp
                            updated_at:
                              type: string
                              description: '[Deprecated] Please use updatedAt instead'
                            updatedAt:
                              type: string
                              description: Last update timestamp
                            data:
                              type: object
                              additionalProperties:
                                nullable: true
                              description: >-
                                The resource data matching the schema definition
                                structure
                          required:
                            - id
                            - schema_definition_id
                            - schemaDefinitionId
                            - platform_id
                            - platformId
                            - business_id
                            - businessId
                            - resource_external_id
                            - resourceExternalId
                            - created_at
                            - createdAt
                            - updated_at
                            - updatedAt
                            - data
                        description: >-
                          Included resources when specified in the include
                          parameter
                    required:
                      - result
                required:
                  - success
        '400':
          description: Bad Request - Validation or request error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
                  message:
                    type: string
                    description: Error message describing what went wrong
                  errors:
                    type: array
                    items:
                      type: string
                    description: Optional array of specific validation errors
                required:
                  - message
        '404':
          description: Status 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      error:
                        type: string
                    required:
                      - error
                required:
                  - success

````